LogbackService (Neo4j Community 1.8.RC1 API)
Date: 2012-09-07

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
| Neo4j Community
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.neo4j.kernel.logging
Class LogbackService

    java.lang.Object
      org.neo4j.kernel.lifecycle.LifecycleAdapter
          org.neo4j.kernel.logging.LogbackService

All Implemented Interfaces:
  Lifecycle, Logging

    public class LogbackService

extends LifecycleAdapter
implements Logging

Logging service that uses Logback as backend.

Nested Class Summary
`static class` | `LogbackService.Slf4jStringLogger`

Field Summary
`protected RestartOnChange` | `restartOnChange`

Constructor Summary
`LogbackService(Config config)`

Method Summary
`org.neo4j.kernel.impl.util.StringLogger` | `getLogger(String name)`
`void` | `init()`
`void` | `shutdown()`

Methods inherited from class org.neo4j.kernel.lifecycle.LifecycleAdapter
`start, stop`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Field Detail

### restartOnChange

    protected RestartOnChange restartOnChange

Constructor Detail

### LogbackService

    public LogbackService(Config config)

Method Detail

### init

    public void init()
              throws Throwable

  Specified by:
    `init` in interface `Lifecycle`
  Overrides:
    `init` in class `LifecycleAdapter`
  Throws:
    `Throwable`

### shutdown

    public void shutdown()
                  throws Throwable

  Specified by:
    `shutdown` in interface `Lifecycle`
  Overrides:
    `shutdown` in class `LifecycleAdapter`
  Throws:
    `Throwable`

### getLogger

    public org.neo4j.kernel.impl.util.StringLogger getLogger(String name)

  Specified by:
    `getLogger` in interface `Logging`

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
| Neo4j Community
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2002-2012 The Neo4j Graph Database Project. All Rights Reserved.